﻿<%@ Import Namespace="Seven.DSS" %>
<%@ Import Namespace="Seven.DSS.Globals" %>
<%@ Import Namespace="Seven.DSS.Objects" %>

<%@ Page Language="C#" MasterPageFile="Model.Master" AutoEventWireup="true" CodeBehind="ParametrosGenerales.aspx.cs" Inherits="Seven.DSS.ParametrosGenerales" %>

<asp:Content ID="Content1" ContentPlaceHolderID="cpHeader" runat="server">

    <% try
       { %>

    <title><%=L.TIT("ParametrosGenerales") %></title>

    <script type="text/javascript">

        var ListFindN = ['eq', 'bw', 'ne', 'lt', 'le', 'gt', 'ge', 'ew', 'cn'];
        var ListFindT = ['cn', 'eq', 'bw', 'bn', 'nc', 'ew', 'en'];

        <% /* Código del jqGrid para Impresoras */ %>

        <% /* Función para cargar los datos del Web Service. */ %>

        function GetPRI() {
            $.ajax({
                url: 'Servicio.svc/GetImpresoras',
                data: { "U": "<%=Request.Cookies[Parametros.COOKIE_USR].Value %>", "N": "<%=Request.Cookies[Parametros.COOKIE_NOM].Value %>"
                    , "D": "<%=Request.Cookies[Parametros.COOKIE_DAT].Value %>", "I": "<%=Enigma.Encriptar(Request.ServerVariables["REMOTE_ADDR"]) %>"
                    , "LangCode": "<%=LangCode %>" },  
                dataType: "json",
                type: "GET",
                contentType: "application/json; charset=utf-8",
                beforeSend: function () {
                    $('#dlgCargando').dialog('open');
                },
                success: function (json) {
                    $('#dlgCargando').dialog('close');
                    try
                    {
                        $("#jqgPRI").jqGrid("setGridParam", {datatype: "json", loadonce: true});
                        var thegrid = $("#jqgPRI")[0];
                        thegrid.addJSONData(JSON.parse(json.d));
                        $("#jqgPRI").jqGrid("setGridParam", {datatype: "local", loadonce: true});
                    }
                    catch(err)
                    {
                        $('#dlgInformation').html(json.d); 
                        $('#dlgInformation').dialog('open');
                    }
                }
            });
        }

        <% /* Función para crear o editar los datos hacia el Web Service. */ %>

        function PutPRI(id, descripcion, tipo_impresora, id_papel, eliminado, eli) {
            $.ajax({
                url: 'Servicio.svc/PutImpresoras',
                data: {
                    "id_repo": id, "descripcion": descripcion, "tipo_impresora": tipo_impresora, "id_papel": id_papel
                    , "Eliminado": eli
                    , "U": "<%=Request.Cookies[Parametros.COOKIE_USR].Value %>", "N": "<%=Request.Cookies[Parametros.COOKIE_NOM].Value %>"
                    , "D": "<%=Request.Cookies[Parametros.COOKIE_DAT].Value %>", "I": "<%=Enigma.Encriptar(Request.ServerVariables["REMOTE_ADDR"]) %>"
                    , "LangCode": "<%=LangCode %>" },  
                dataType: "json",
                type: "GET",
                contentType: "application/json; charset=utf-8",
                beforeSend: function() {
                    $('#dlgCargando').dialog('open');
                },
                success: function (json) {
                    $('#dlgCargando').dialog('close');
                    var res = json.d;
                    if(res > 0 || res < 0)
                    {
                        if(eli == 1){
                            $('#IdSubElementPRI').val(0);
                            BotonDefaultPRI();
                            RefreshGridPRI();
                        }
                        else
                        {
                            if(id > 0 || id < 0){
                                BotonDefaultPRI();
                                RefreshGridPRI();
                            }
                            else
                            {
                                $('#IdSubElementPRI').val(res);
                                BotonDefaultPRI();
                                RefreshGridPRI();
                            }
                        }
                    }
                    else
                    {
                        $('#dlgInformation').html(json.d); 
                        $('#dlgInformation').dialog('open');
                    }
                }
            });
        }

        <% /* Función principal que inicia la carga del jqGrid. Se llama de primero. */ %>

        function LoadGridPRI() {
        
            var lselPRI;
            var colMap = {};
            $("#jqgPRI").jqGrid({
                datatype: 'local',
                height: 225,
                width: 420,
                colNames:  ['', '<%=L.LBL("LblGENCode") %>', '<%=L.LBL("LblGENDescription") %>', '<%=L.LBL("LblGENType") %>', '<%=L.LBL("LblGENPapel") %>', ''],
                colModel: [
                            { name: 'Id', index: 'Id', width: 1, sorttype: 'int', search: false, hidden: true },
                            { name: 'Id2', index: 'Id2', width: 10, sorttype: 'int', editable: false, searchoptions: { sopt: ListFindN } },
                            { name: 'descripcion', index: 'descripcion', width: 30, editable: false, searchoptions:{sopt:ListFindT} }, 
                            { name: 'tipo_impresora', index: 'tipo_impresora', width: 20, editable: true, formatter: 'select', stype: 'select', edittype: 'select', editoptions: { value: "<%=Utils.cbTipoImpresoras() %>" } },
                            { name: 'id_papel', index: 'id_papel', width: 20, editable: true, formatter: 'select', stype: 'select', edittype: 'select', editoptions: { <%=cbPapelesJQ %> } }, 
                            { name: 'Eli', index: 'Eli', width: 5, search:false, hidden: true }
   	                    ],
                onSelectRow: function(id){
                    if(id ){

                        if(isNaN(lselPRI) && !isNaN(id))
                        {
                            $("#jqgPRI").jqGrid('delRowData', lselPRI);
                            //$('#jqgPRI').jqGrid('resetSelection');
                        }

                        if(!isNaN(id))
                        {
                            $('#jqgPRI').jqGrid('saveRow', id);
                            
                            var ret = jQuery("#jqgPRI").jqGrid('getRowData',id); 

                            $('#jqgPRI').jqGrid('restoreRow',lselPRI);

                            $('#IdSubElementPRI').val(ret.Id);
                        }
                        else
                        {
                            BotonNuevoPRI();
                        }

                        $('#jqgPRI').jqGrid('editRow', id, true, EventsPRI);
                       
                        lselPRI=id;
                    }
                },
                afterInsertRow: function(id){
                    if(id){
                        if(isNaN(lselPRI))
                        {
                            $("#jqgPRI").jqGrid('delRowData', lselPRI);
                            $('#jqgPRI').jqGrid('resetSelection');
                        }
                        else
                        {
                            $('#jqgPRI').jqGrid('saveRow',lselPRI);
                        }
                    }
                },
                onCellSelect: function(id){
                    if(id){
                        if(!isNaN(id))
                        {
                            $('#jqgPRI').jqGrid('restoreRow',id);
                        }

                        var ret = jQuery("#jqgPRI").jqGrid('getRowData',id); 
                        var status = ret.Eli;

                        if(status == "True")
                        { 
                            $('#btnEliminarTextPRI').html("<%=L.LBL("LblGENRecover") %>");
                            $('#btnEliminarIconPRI').attr("src", "img/recuperar.png");
                        }
                        else 
                        {   
                            $('#btnEliminarTextPRI').html("<%=L.LBL("LblGENDelete") %>");
                            $('#btnEliminarIconPRI').attr("src", "img/cross-script.png");
                        }

                        //$('#jqgPRI').jqGrid('setSelection', id); 

                        BotonSelectPRI();
                    }
                },
                gridComplete: function()
                {  
                    var rows = $("#jqgPRI").getDataIDs(); 
                    for (var i = 0; i < rows.length; i++)
                    { 
                        if(i == 0 && parseInt($('#IdSubElementPRI').val()) == 0)
                        {
                            $('#IdSubElementPRI').val($("#jqgPRI").getCell(rows[i],"Id"));
                        }
                        var status  = $("#jqgPRI").getCell(rows[i],"Eli");

                        if(status == "True")
                        {
                            $("#jqgPRI").jqGrid('setRowData',rows[i],false, 
                            {color:'red',font:'italic' });
                        }
                    }
                    $('#jqgPRI').jqGrid('setSelection', $('#IdSubElementPRI').val());
                    if(parseInt($('#IdSubElementPRI').val()) != 0)
                    {
                        BotonSelectPRI();
                    }
                }, 
                rowNum: 99999999,
                rowTotal: 99999999,
                loadonce: true,
                mtype: "GET",
                rownumbers: false,
                rownumWidth: 40,
                gridview: true,
                sortname: 'Id',
                viewrecords: true,
                sortorder: "asc",
                ignoreCase: true,
                scrollrows: true,
                editurl:"Dummy.aspx"
                //multiselect: true,
                //altRows: true,
                //altclass:'ui-widget-header'
            });

            //$("#jqgPRI").jqGrid('navGrid','#PaginadorPRI',{del:false,add:false,edit:false,search:false});
            $("#bsdataPRI").click(function(){ 
                jQuery("#jqgPRI").jqGrid('searchGrid', {multipleSearch:true}); 
            });
        
        }

        function EventsPRI(id) {
            $("#" + id + "_descripcion").on('input', function () { BotonGuardarPRI(); });
            $("#" + id + "_tipo_impresora").on('change', function () { BotonGuardarPRI(); });
            $("#" + id + "_eliminado").on('change', function () { BotonGuardarPRI(); });
        }

        function EventsNewPRI() {
            var selr = jQuery('#jqgPRI').jqGrid('getGridParam', 'selrow');
            $("#" + selr + "_descripcion").on('input', function () { BotonGuardarPRI(); });
            $("#" + selr + "_tipo_impresora").on('change', function () { BotonGuardarPRI(); });
            $("#" + selr + "_eliminado").on('change', function () { BotonGuardarPRI(); });
        }

        <% /* Función que permite recargar los datos del grid desde el servidor. */ %>

        function RefreshGridPRI()
        {
            $("#jqgPRI").jqGrid("setGridParam", {datatype: "json", datatype: GetPRI, loadonce: true});
            $("#jqgPRI").trigger("reloadGrid"); 
            $("#jqgPRI").jqGrid("setGridParam", {datatype: "local", loadonce: true});
        }

        <% /* Función que salva los datos modificados en una fila. */ %>

        function SavePRI(){
            var id = $("#jqgPRI").jqGrid('getGridParam','selrow');
            if (id)	{
                PutPRI(id, $('#' + id + '_descripcion').val(), $('#' + id + '_tipo_impresora').val(), $('#' + id + '_id_papel').val(), $('#' + id + '_eliminado').val(), 0);
            } 
            else 
            { 
                $('#dlgInformation').html("<%=L.LBL("LblGENPleaseSelectRow") %>"); 
                $('#dlgInformation').dialog('open');
            }
        }

        <% /* Función que cancela la edición de una fila y la devuelve a su estado original. */ %>

        function CancelPRI(){
            var id = $("#jqgPRI").jqGrid('getGridParam','selrow');
            if (id){
                $('#jqgPRI').restoreRow(id);
            } 
            else 
            { 
                $('#dlgInformation').html("<%=L.LBL("LblGENPleaseSelectRow") %>"); 
                $('#dlgInformation').dialog('open');
            }
            BotonDefaultPRI();
        }

        function BotonDefaultPRI() {
            $('#btnGuardarPRI').button('disable');
            $('#btnCancelarPRI').button('disable');
        }

        function BotonNuevoPRI() {
            $('#btnGuardarPRI').button('disable');
            $('#btnCancelarPRI').button('enable');
        }

        function BotonSelectPRI() {
            $('#btnGuardarPRI').button('enable');
            $('#btnCancelarPRI').button('enable');
        }

        function BotonGuardarPRI() {
            $('#btnGuardarPRI').button('enable');
            $('#btnCancelarPRI').button('enable');
        }

        function SetImpresora()
        {
            $('#txtImpresoraSys').val($('#cbImpresora').val());
        }

        function SetImpresoraCheq() {
            $('#txtImpresoraSysCheq').val($('#cbImpresoraCheq').val());
        }

        function SetImpresoraFact() {
            $('#txtImpresoraSysFact').val($('#cbImpresoraFact').val());
        }

        function SetImpresoraRec() {
            $('#txtImpresoraSysRec').val($('#cbImpresoraRec').val());
        }
        
    </script>

    <script type="text/javascript">

        $(document).ready(function () {

            $("#dlgInformation").dialog({
                autoOpen: false,
                show: "fade",
                hide: "curtain",
                resizable: false,
                height: 200,
                width: 500,
                modal: true,
                buttons:
                {
                    "<%=L.LBL("LblGENAceptar") %>": function () {
                        $(this).dialog('close');
                    }
                }
            });

            $("#dlgCargando").dialog({
                autoOpen: false,
                show: "fade",
                hide: "curtain",
                resizable: false,
                height: 100,
                width: 270,
                modal: true,
                dialogClass: 'no-close'
            });

            $("#ParamTabs").tabs();

            $("#SevenMenu").accordion("option", "active", 1);

            LoadGridPRI();

            RefreshGridPRI();

            $('#cbImpresora').val($('#txtImpresoraSys').val());
            $('#cbImpresoraCheq').val($('#txtImpresoraSysCheq').val());
            $('#cbImpresoraFact').val($('#txtImpresoraSysFact').val());
            $('#cbImpresoraRec').val($('#txtImpresoraSysRec').val());

        });

    </script>

    <% }
       catch { } %>
</asp:Content>

<asp:Content ID="Content2" ContentPlaceHolderID="cpPrincipal" runat="server">

    <% try
       { %>

    <div id="SevenBreadcrumb" class="ui-state-default">
        <table style="width: 100%; white-space: nowrap;">
            <tr>
                <td>
                    <div class="SevenEnlaces" onclick="window.location.href='Menu.aspx#M6';" style="cursor: pointer;">
                        <table>
                            <tr>
                                <td>
                                    <img src="img/application-icon-large.png" />
                                </td>
                                <td>
                                    <%=L.LBL("LblGENMenuTactil") %>
                                </td>
                            </tr>
                        </table>
                    </div>
                </td>
                <td>&nbsp;</td>
                <td>
                    <a href="Inicio.aspx"><%=L.LBL("LblGENInicio") %></a>
                    <img src="img/arrow.png" alt="" />
                    <a href="ParametrosGenerales.aspx">
                        <%=L.TIT("ParametrosGenerales") %>
                    </a>
                </td>
                <td style="width: 100%;"></td>
                <td>
                    <%=L.LBL("LblGENLanguage") %>
                </td>
                <td>
                    <!-- #include file="LanguageCombo.html" -->
                </td>
            </tr>
        </table>
    </div>

    <div id="SevenPrincipal">

        <div id="SevenMedio">

            <div id="SevenInterno" style="width: 780px; font-size: 9pt;">

                <div id="dlgInformation" title="<%=L.LBL("LblGENInformation") %>" style="text-align: center;padding-top: 25px">
                    
                </div>

                <div id="dlgCargando" title="<%=L.LBL("LblGENLoading") %>" style="text-align: center;padding-top: 25px">
                    <img src="img/cargando2.gif" alt="<%=L.LBL("LblGENLoading") %>" />
                </div>

                <table>
                    <tr>
                        <td>
                            <span class="SevenTitulo">
                                <%=L.TIT("ParametrosGenerales") %>
                            </span>
                        </td>
                        <td>&nbsp;&nbsp;&nbsp;</td>
                        <td>
                            <div class="SevenEnlaces">
                                <table>
                                    <tr>
                                        <td>
                                            <a href="#" onclick="window.open('http://mysevenmanuales.jimdo.com/front-desk-parametros/4-1-par%C3%A1metros-generales/', '_blank');" id="A1">
                                                <img src="img/question.png" />
                                                <%=L.LBL("LblGENHelp") %></a>
                                        </td>
                                    </tr>
                                </table>
                            </div>
                        </td>
                    </tr>
                </table>

                <% 
           if (CorrectoIns)
           {    
                %>

                <p class="SevenMsgExito"><%=L.LBL("LblGENMSG_SavedData") %></p>

                <%  } %>

                <% 
           if (CorrectoMod)
           {    
                %>

                <p class="SevenMsgExito"><%=L.LBL("LblGENMSG_UpdatedData") %></p>

                <%  } %>

                <% 
           if (CorrectoEli)
           {    
                %>

                <p class="SevenMsgExito"><%=L.LBL("LblGENMSG_DeletedData") %></p>

                <%  } %>

                <% 
           if (!String.IsNullOrEmpty(ErrorMsg))
           {    
                %>

                <p class="SevenMsgError"><%=ErrorMsg %></p>

                <%  } %>

                <br />

                <form id="MainForm" action="ParametrosGenerales.aspx" method="post">

                    <div id="ParamTabs" style="padding: 0px;">
                        <ul>
                            <li>
                                <a href="#Impresoras">
                                    <table>
                                        <tr>
                                            <td>
                                                <img src="img/printer.png" /></td>
                                            <td>
                                                <span style="font-size: 8pt;">
                                                    <%=L.LBL("LblGENImpresoras") %>
                                                </span>
                                            </td>
                                        </tr>
                                    </table>
                                </a>
                            </li>
                        </ul>

                        <div id="Impresoras" style="height: 320px;">

                            <table>
                                <tr>
                                    <td>
                                        <table>
                                            <tr>
                                                <td>
                                                    <fieldset>
                                                        <legend><b><%=L.LBL("LblGENImpresora") + " - " + L.LBL("LblGENDocumento") %></b></legend>
                                                        <table>
                                                            <tr>
                                                                <td><%=L.LBL("LblGENActual") %>:</td>
                                                                <td><input type="text" name="txtImpresoraSys" id="txtImpresoraSys" value="<%=elemento.impresora_sys %>" style="width: 130px;" /><br /></td>
                                                            </tr>
                                                            <tr>
                                                                <td><%=L.LBL("LblGENDisponibles") %>:</td>
                                                                <td><%=cbImpresora %></td>
                                                            </tr>
                                                        </table>
                                                    </fieldset>
                                                </td>
                                            </tr>
                                            <tr>
                                                <td>
                                                    <fieldset>
                                                        <legend><b><%=L.LBL("LblGENImpresora") + " - " + L.LBL("LblGENCheque") %></b></legend>
                                                        <table>
                                                            <tr>
                                                                <td><%=L.LBL("LblGENActual") %>:</td>
                                                                <td><input type="text" name="txtImpresoraSysCheq" id="txtImpresoraSysCheq" value="<%=elemento.impresora_sys_cheq %>" style="width: 130px;" /><br /></td>
                                                            </tr>
                                                            <tr>
                                                                <td><%=L.LBL("LblGENDisponibles") %>:</td>
                                                                <td><%=cbImpresoraCheq %></td>
                                                            </tr>
                                                        </table>
                                                    </fieldset>
                                                </td>
                                            </tr>
                                            <tr>
                                                <td>
                                                    <fieldset>
                                                        <legend><b><%=L.LBL("LblGENImpresora") + " - " + L.LBL("LblGENFactura") %></b></legend>
                                                        <table>
                                                            <tr>
                                                                <td><%=L.LBL("LblGENActual") %>:</td>
                                                                <td><input type="text" name="txtImpresoraSysFact" id="txtImpresoraSysFact" value="<%=elemento.impresora_sys_fact %>" style="width: 130px;" /><br /></td>
                                                            </tr>
                                                            <tr>
                                                                <td><%=L.LBL("LblGENDisponibles") %>:</td>
                                                                <td><%=cbImpresoraFact %></td>
                                                            </tr>
                                                        </table>
                                                    </fieldset>
                                                </td>
                                            </tr>
                                            <tr>
                                                <td>
                                                    <fieldset>
                                                        <legend><b><%=L.LBL("LblGENImpresora") + " - " + L.LBL("LblGENRecibo") %></b></legend>
                                                        <table>
                                                            <tr>
                                                                <td><%=L.LBL("LblGENActual") %>:</td>
                                                                <td><input type="text" name="txtImpresoraSysRec" id="txtImpresoraSysRec" value="<%=elemento.impresora_sys_rec %>" style="width: 130px;" /><br /></td>
                                                            </tr>
                                                            <tr>
                                                                <td><%=L.LBL("LblGENDisponibles") %>:</td>
                                                                <td><%=cbImpresoraRec %></td>
                                                            </tr>
                                                        </table>
                                                    </fieldset>
                                                </td>
                                            </tr>
                                        </table>
                                    </td>
                                    <td>
                                        <input type="hidden" id="IdSubElementPRI" value="0" />
                                        <table id="jqgPRI"></table>

                                        <table style="width: 100%;">
                                            <tr>
                                                <td colspan="4">
                                                    <table style="width: 100%;">
                                                        <tr>
                                                            <td style="width: 100%;"></td>
                                                            <td>
                                                                <button type="button" id="btnGuardarPRI" onclick="SavePRI();">
                                                                        <table>
                                                                            <tr>
                                                                                <td>
                                                                                    <img src="img/disk.png" alt="<%=L.LBL("LblGENSave") %>" />
                                                                                </td>
                                                                                <td><%=L.LBL("LblGENSave") %></td>
                                                                            </tr>
                                                                        </table>
                                                                </button>
                                                            </td>
                                                            <td>
                                                                <button type="button" id="btnCancelarPRI" onclick="CancelPRI();">
                                                                        <table>
                                                                            <tr>
                                                                                <td><img src="img/arrow-return-180-left.png" alt="<%=L.LBL("LblGENCancel") %>" /></td>
                                                                                <td><%=L.LBL("LblGENCancel") %></td>
                                                                            </tr>
                                                                        </table>
                                                                </button>
                                                            </td>
                                                        </tr>
                                                    </table>
                                                </td>
                                            </tr>
                                        </table>
                                    
                                    </td>
                                </tr>
                            </table>

                        </div>
                            

                    </div>

                    <table style="width: 100%;">
                        <tr>
                            <td colspan="4">
                                <table style="width: 100%;">
                                    <tr>
                                        <td style="width: 100%;"></td>
                                        <td>
                                            <button type="submit" id="btnGuardar">
                                                <table>
                                                    <tr>
                                                        <td>
                                                            <img src="img/disk.png" alt="<%=L.LBL("LblGENSave") %>" />
                                                        </td>
                                                        <td><%=L.LBL("LblGENSave") %></td>
                                                    </tr>
                                                </table>
                                            </button>
                                        </td>
                                        <td>
                                            <button type="button" onclick="window.location.href='http://<%=Request.Url.Authority %>/ParametrosGenerales.aspx<%  Response.Write("?d=0");
                                                                                                                                                                if (!string.IsNullOrEmpty(Request.QueryString["p"]))
                                                                                                                                                                {
                                                                                                                                                                    Response.Write("&p=" + Request.QueryString["p"]);
                                                                                                                                                                }
                                                                                                                                                                else
                                                                                                                                                                {
                                                                                                                                                                    Response.Write("&p=1");
                                                                                                                                                                }
                                                                                                                                                                if (!string.IsNullOrEmpty(Request.QueryString["q"]))
                                                                                                                                                                {
                                                                                                                                                                    Response.Write("&q=" + Request.QueryString["q"]);
                                                                                                                                                                }
                                                                                                                                                                else
                                                                                                                                                                {
                                                                                                                                                                    Response.Write("&q=");
                                                                                                                                                                }%>'">
                                                <table>
                                                    <tr>
                                                        <td>
                                                            <img src="img/arrow-return-180-left.png" alt="<%=L.LBL("LblGENCancel") %>" /></td>
                                                        <td><%=L.LBL("LblGENCancel") %></td>
                                                    </tr>
                                                </table>
                                            </button>
                                        </td>
                                        <td>
                                            <button type="button" onclick="window.location.href='http://<%=Request.Url.Authority %>/Inicio.aspx'">
                                                <table>
                                                    <tr>
                                                        <td>
                                                            <img src="img/cross.png" alt="<%=L.LBL("LblGENExit") %>" /></td>
                                                        <td><%=L.LBL("LblGENExit") %></td>
                                                    </tr>
                                                </table>
                                            </button>
                                        </td>
                                    </tr>
                                </table>
                            </td>
                        </tr>
                    </table>

                </form>

            </div>

        </div>

    </div>

    <% }
       catch { } %>
</asp:Content>

